# ai_info.hpp File Reference

AIInfo keeps track of all information of an AI, like Author, Description, . More...

`#include <list>`
`#include "../core/smallmap_type.hpp"`
`#include "../script/script_info.hpp"`

Go to the source code of this file.

## Data Structures
struct | AIConfigItem
class | AIFileInfo
class | AIInfo
class | AILibrary
## Typedefs
typedef SmallMap< int, char * > | LabelMapping
typedef std::list< AIConfigItem > | AIConfigItemList
## Enumerations
enum | AIConfigFlags { AICONFIG_NONE = 0x0, AICONFIG_RANDOM = 0x1, AICONFIG_BOOLEAN = 0x2, AICONFIG_INGAME = 0x4 }
## Variables
AIConfigItem | _start_date_config

## Detailed Description

AIInfo keeps track of all information of an AI, like Author, Description, .

..

Definition in file ai_info.hpp.

## Enumeration Type Documentation

enum AIConfigFlags

Enumerator:

  AICONFIG_RANDOM | When randomizing the AI, pick any value between min_value and max_value when on custom difficulty setting.
  AICONFIG_BOOLEAN | This value is a boolean (either 0 (false) or 1 (true) ).
  AICONFIG_INGAME | This setting can be changed while the AI is running.

Definition at line 21 of file ai_info.hpp.